<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>HTML Table and Forms</title>
</head>
<body>
	<!-- div tag create a cotainer elements that's used to group certain elements together -->
	<div id="header">
		<header>
		<h1>HTML Tables and Forms</h1>
		</header>
	</div>

<main>	
	

   	<!-- Defines an HTML Table -->
	<section>
		<h2>HTML Entities</h2>
		<p><em>Reserved charaters in HTML (e.g &lt; or &gt; character that can mix up with HTML code.)</em></p>
		<table border="1">
   		<!-- Used tp group table header content -->
   		<thead>
   			<tr>
   				<!-- Defines a table header element -->
   			   		<!-- Defines the amount of columns the table 
   				<th colspan="2">Entity</th>
   				<th>Description</th>
   			</tr>
   		</thead>
   		<!-Used to group table body content -->
   		<tbody>
   			<tr>
   				<!-- Define a table data element -->
   				<td>&lt;</td>
   				<td>lt</td>
   				<td>less than</td>
   			</tr>
   			<tr>
   				<td>&gt;</td>
   				<td>gt</td>
   				<td>grater than</td>
   			</tr>
   			<tr>
   				<td>&#8369;</td>
   				<td>#8369</td>
   				<td>peso sign</td>
   			</tr>
   			<tr>
   				<td>&amp;</td>
   				<td>amp</td>
   				<td>ampersand</td>
   			</tr>
   			<tr>
   				<td>&qout;</td>
   				<td>qout</td>
   				<td>double qoutation mark</td>
   			</tr>
   			<tr>
   				<td>&apos;</td>
   				<td>apos</td>
   				<td>single qoutation mark</td>
   			</tr>
   			<tr>
   				<td>&ntilde;</td>
   				<td>ntilde</td>
   				<td>Lower Tilde</td>
   			</tr>
   			<tr>
   				<td>&Ntilde;</td>
   				<td>Ntilde</td>
   				<td>Upper Tilde</td>
   			</tr>
   		</tbody>
   		<!-- for Table Footer content -->
   		<tfoot>
   			<tr>
   				<th colspan="3">List of HTML Entities</th>
   			</tr>
   		</tfoot>
   	</table>
	<section>

   	<br>

   <section>
   		<h2>HTML Forms</h2>
   	<p><em>Inout elements that make up a form.</em></p>
   	<!-- Creates an HTML Form to capture user input -->

   	<form action="https://google.com">
		
		<label for="full_name">Full Name:</label>
		<input type="text" name="full_name" id="full_name" required> <br>

		<label for="birth_date">Birth Date:</label>
		<input type="date" name="birth_date" id="birth_date" required><br>

		<label for="age">Age</label>
		<input type="number" name="age" id="age" required> <br>

		<label for="gender">Gender:</label>
		<!-- Creates a dropdown Menu  -->
		<select name="gender" id="gender">
			<option value="Male">Male</option>
			<option value="Female">Female</option>
		</select><br>

		<label for="notes">Notes:</label><br>
		<textarea name="notes" rows="5" id="notes"></textarea><br>

		<!-- Radio Button -->
		<label>New User:</label><br>

		<input type="radio" name="new_user" id="user-type1" value="yes">
		<label for="user_type1">Yes</label><br>

		<input type="radio" name="new_user" id="user-type2" value="no">
		<label for="user_type2">No</label><br>

		<label>Role:</label><br>
		
		<input type="checkbox" name="role1" id="role1" value="developer">
		<label for="role1">Developer</label><br>

		<input type="checkbox" name="role2" id="role2" value="student">
		<label for="role2">Student</label><br>

		<input type="checkbox" name="role3" id="role3" value="manager">
		<label for="role3">Manager</label><br>


   		<!-- Creates a button that will submit the form data  -->
   		<button type="submit">Submit</button>
   		<button type="reset">Reset</button>

   	</form>
   <section>
   <main>
</body>
</html>